<?php

ob_start();
ini_set('post_max_size', '8M');
ini_set('upload_max_filesize', '8M');
set_time_limit(0);

if (!session_id()) {
    @session_start();
}

error_reporting(E_ALL | E_STRICT);

// Definindo a localidade;
date_default_timezone_set('America/Recife');

setlocale(LC_ALL, null);
setlocale(LC_ALL, 'pt_BR');

$host = $_SERVER['HTTP_HOST'];

switch ($host) {
    case 'localhost':
    case 'localhost:89':
    case 'localhost:88':
    case preg_match('/192.168.0.*/', $host) ? true : false:
    case preg_match('/192.168.25.*/', $host) ? true : false:
        $pathBase = '/empetur/app/';
        $cms = 'cms/';
        break;
    default:
        $pathBase = '/';
        $cms = 'cms/';
        break;
}

$raiz = $_SERVER['DOCUMENT_ROOT'] . $pathBase . 'cms/classes/';

$include_path = ini_get('include_path');

// Incluindo a pasta raiz do projeto;
$ic_path = incluir($raiz, $include_path);
ini_set('include_path', $ic_path);

// Util::setPathBase($pathBase);

// Funçao para colocar no include path todos os diretórios do projeto;
function incluir($path, $include_path)
{
    if (is_dir($path)) {
        $dir = opendir($path);

        while ($arq = readdir($dir)) {
            if (false === in_array($arq, array('jpgraph', 'font', 'backup', '.', '..', '.cache', '.settings', 'anti-bot'))) {
                if (is_dir($path . $arq)) {
                    $include_path .= PATH_SEPARATOR . "$path$arq";
                    $include_path = incluir("$path$arq/", $include_path);
                }
            }
        }

        return $include_path;
    }
}

//Função autoLoad;
// function __autoload($nomeClasse)
// {
//     require_once $nomeClasse . '.php';
// }


spl_autoload_register(function ($nomeClasse) {
    require_once $nomeClasse . '.php';
});
Util::setPathBase($pathBase);